CREATE TABLE fla_increment_headers_hist (
    INCREMENT_HEADER_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LEASE_ID                          NUMBER(18, 0)     NOT NULL,
    LEASE_DETAIL_ID                   NUMBER(18, 0)     NOT NULL,
    VERSION_NUM                       NUMBER(9, 0)      NOT NULL,
    AGREEMENT_NUMBER                  VARCHAR2(400)     NOT NULL,
    FINAL_INCREMENT_HEADER_ID         NUMBER(18, 0)     NOT NULL,
    INCREMENT_TEMPLATE_ID             NUMBER(18, 0) ,
    INCREASE_TEMPLATE_ID              NUMBER(18, 0) ,
    AGREEMENT_SIGNED_DATE             DATE          ,
    AGREEMENT_START_DATE              DATE              NOT NULL,
    AGREEMENT_END_DATE                DATE          ,
    AGREEMENT_TERMINATION_DATE        DATE          ,
    AGREEMENT_STATUS_CODE             VARCHAR2(120)     NOT NULL,
    AGREEMENT_NAME                    VARCHAR2(960) ,
    AGREEMENT_DESCRIPTION             VARCHAR2(4000),
    VENDOR_ID                         NUMBER(18, 0)     NOT NULL,
    RESPONSIBLE_USER_NAME             VARCHAR2(400) ,
    PAYMENT_PURPOSE_CODE              VARCHAR2(120) ,
    PAYMENT_CURRENCY_CODE             VARCHAR2(60)  ,
    ASSESSMENT_FREQUENCY_CODE         VARCHAR2(120) ,
    ASSESS_IN_YEARS_NUM               NUMBER(3, 0)  ,
    FIRST_ASSESSMENT_DATE             DATE              NOT NULL,
    BASIS_TYPE_CODE                   VARCHAR2(120) ,
    BASIS_COMPOUNDING_CODE            VARCHAR2(120) ,
    INCREASE_AMOUNT_ROUNDING_CODE     VARCHAR2(120) ,
    INCREASE_CALC_METHOD_CODE         VARCHAR2(120) ,
    FIXED_INCREASE_PERCENT            NUMBER        ,
    FIXED_INCREASE_AMOUNT             NUMBER        ,
    BASIS_FACTOR_PERCENT              NUMBER        ,
    DATA_SOURCE_CODE                  VARCHAR2(120) ,
    CHANGE_TYPE_CODE                  VARCHAR2(120) ,
    CHANGED_IN_VERSION_NUM            NUMBER(9, 0)  ,
    SCHEDULES_IMPACT_FLAG             VARCHAR2(4)   ,
    INCREMENT_INDEX_HEADER_ID         NUMBER(18, 0) ,
    INDEX_FINDER_MONTHS               NUMBER(3, 0)  ,
    BASE_INDEX_VALUE                  NUMBER        ,
    MINIMUM_INCREASE_PERCENT          NUMBER        ,
    MAXIMUM_INCREASE_PERCENT          NUMBER        ,
    UNUSED_INCREASE_TREATMENT_CODE    VARCHAR2(120) ,
    ACTIVATION_DERIVATION_CODE        VARCHAR2(120) ,
    ASSESSMENT_DERIVATION_CODE        VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_1         VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2         VARCHAR2(120) ,
    SCHEDULE_TYPE_CODE                VARCHAR2(120)     NOT NULL,
    BILL_TO_CUSTOMER_ID               NUMBER(18, 0) ,
    BILL_TO_SITE_USE_ID               NUMBER(18, 0) ,
    SHIP_TO_SITE_USE_ID               NUMBER(18, 0) ,
    CUSTOMER_TRX_TYPE_ID              NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    INCREMENT_HEADER_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LEASE_ID                          NUMBER(18, 0)     NOT NULL,
    LEASE_DETAIL_ID                   NUMBER(18, 0)     NOT NULL,
    VERSION_NUM                       NUMBER(9, 0)      NOT NULL,
    AGREEMENT_NUMBER                  VARCHAR2(400)     NOT NULL,
    FINAL_INCREMENT_HEADER_ID         NUMBER(18, 0)     NOT NULL,
    INCREMENT_TEMPLATE_ID             NUMBER(18, 0) ,
    INCREASE_TEMPLATE_ID              NUMBER(18, 0) ,
    AGREEMENT_SIGNED_DATE             DATE          ,
    AGREEMENT_START_DATE              DATE              NOT NULL,
    AGREEMENT_END_DATE                DATE          ,
    AGREEMENT_TERMINATION_DATE        DATE          ,
    AGREEMENT_STATUS_CODE             VARCHAR2(120)     NOT NULL,
    AGREEMENT_NAME                    VARCHAR2(960) ,
    AGREEMENT_DESCRIPTION             VARCHAR2(4000),
    VENDOR_ID                         NUMBER(18, 0)     NOT NULL,
    RESPONSIBLE_USER_NAME             VARCHAR2(400) ,
    PAYMENT_PURPOSE_CODE              VARCHAR2(120) ,
    PAYMENT_CURRENCY_CODE             VARCHAR2(60)  ,
    ASSESSMENT_FREQUENCY_CODE         VARCHAR2(120) ,
    ASSESS_IN_YEARS_NUM               NUMBER(3, 0)  ,
    FIRST_ASSESSMENT_DATE             DATE              NOT NULL,
    BASIS_TYPE_CODE                   VARCHAR2(120) ,
    BASIS_COMPOUNDING_CODE            VARCHAR2(120) ,
    INCREASE_AMOUNT_ROUNDING_CODE     VARCHAR2(120) ,
    INCREASE_CALC_METHOD_CODE         VARCHAR2(120) ,
    FIXED_INCREASE_PERCENT            NUMBER        ,
    FIXED_INCREASE_AMOUNT             NUMBER        ,
    BASIS_FACTOR_PERCENT              NUMBER        ,
    DATA_SOURCE_CODE                  VARCHAR2(120) ,
    CHANGE_TYPE_CODE                  VARCHAR2(120) ,
    CHANGED_IN_VERSION_NUM            NUMBER(9, 0)  ,
    SCHEDULES_IMPACT_FLAG             VARCHAR2(4)   ,
    SYSTEM_ORIGIN_REFERENCE_1         VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2         VARCHAR2(120) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    INCREMENT_INDEX_HEADER_ID         NUMBER(18, 0) ,
    INDEX_FINDER_MONTHS               NUMBER(3, 0)  ,
    BASE_INDEX_VALUE                  NUMBER        ,
    MINIMUM_INCREASE_PERCENT          NUMBER        ,
    MAXIMUM_INCREASE_PERCENT          NUMBER        ,
    UNUSED_INCREASE_TREATMENT_CODE    VARCHAR2(120) ,
    ACTIVATION_DERIVATION_CODE        VARCHAR2(120) ,
    ASSESSMENT_DERIVATION_CODE        VARCHAR2(120) ,
    SCHEDULE_TYPE_CODE                VARCHAR2(120)     NOT NULL,
    BILL_TO_CUSTOMER_ID               NUMBER(18, 0) ,
    BILL_TO_SITE_USE_ID               NUMBER(18, 0) ,
    SHIP_TO_SITE_USE_ID               NUMBER(18, 0) ,
    CUSTOMER_TRX_TYPE_ID              NUMBER(18, 0) ,
    CONSTRAINT pk_fla_increment_headers_hist PRIMARY KEY (INCREMENT_HEADER_ID, INCREMENT_HEADER_ID)
);
